Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.pipeline.controller
Class orapipe

`java.lang.Object
oracle.xml.pipeline.controller.orapipe`

All Implemented Interfaces:
  PipelineConstants, PipelineErrorHandler

public class orapipe
extends java.lang.Object
implements PipelineErrorHandler, PipelineConstants

The orapipe class provides a command-line interface to validate and execute the pipedoc for running connecting xml components together.

         java oracle.xml.pipeline.controller.orapipe options* <pipedoc>
         -help                    Prints the help message
         -version                 Prints the release version
         -sequential              Executes the pipeline in a sequential mode,
                                  default is parallel
         -validate                Validates the pipedoc with the pipeline schema,
                                  by default does not validate. If 'outparam'
                                  feature is used, then validate will fail with
                                  the current pipeline schema because this is an
                                  additional feature. If you are on a proxy
                                  server set the java property at runtime e.g.
                                  "-DproxySet=true -DproxyHost=www.proxyhost.com
                                  -DproxyPort=80"
         -log <logfile>           Writes the errors/logs to the output
                                  file, by default writes to pipe.log
         -noinfo                  Don't log any info items, turned on by default
         -nowarning               Don't log any warnings, turned on by default
         -force                   Executes pipeline even if target is up-to-date,
                                  by default no force is specified

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Constructor Summary
`orapipe()`

Method Summary
`void` | `error(java.lang.String msg, PipelineException e)` Handle any error thrown by the pipeline
`void` | `fatalError(java.lang.String msg, PipelineException e)` Handle an fatal error thrown by the pipeline
`void` | `info(java.lang.String msg)` Handle any informational items from the pipeline
`static void` | `main(java.lang.String[] args)`
`void` | `warning(java.lang.String msg, PipelineException e)` Handle all warnings thrown by the pipeline

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### orapipe

    public orapipe()

Method Detail

### main

    public static void main(java.lang.String[] args)

### error

    public void error(java.lang.String msg,
                      PipelineException e)
               throws PipelineException

  Handle any error thrown by the pipeline
  Specified by:
    `error` in interface `PipelineErrorHandler`
  Parameters:
    `msg` - - error message
  Throws:
    `java.lang.Exception`
    `PipelineException`

### fatalError

    public void fatalError(java.lang.String msg,
                           PipelineException e)
                    throws PipelineException

  Handle an fatal error thrown by the pipeline
  Specified by:
    `fatalError` in interface `PipelineErrorHandler`
  Parameters:
    `msg` - - error message
  Throws:
    `java.lang.Exception`
    `PipelineException`

### warning

    public void warning(java.lang.String msg,
                        PipelineException e)
                 throws PipelineException

  Handle all warnings thrown by the pipeline
  Specified by:
    `warning` in interface `PipelineErrorHandler`
  Parameters:
    `msg` - - error message
  Throws:
    `java.lang.Exception`
    `PipelineException`

### info

    public void info(java.lang.String msg)

  Handle any informational items from the pipeline
  Specified by:
    `info` in interface `PipelineErrorHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.